package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TStation;
import com.chinaitop.depot.intelligent.basicdata.model.TStationExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TStationMapper {
    int countByExample(TStationExample example);

    int deleteByExample(TStationExample example);

    int deleteByPrimaryKey(String id);

    int insert(TStation record);

    int insertSelective(TStation record);

    List<TStation> selectByExample(TStationExample example);

    TStation selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TStation record, @Param("example") TStationExample example);

    int updateByExample(@Param("record") TStation record, @Param("example") TStationExample example);

    int updateByPrimaryKeySelective(TStation record);

    int updateByPrimaryKey(TStation record);
}